# Record TCefBoxLayout

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefBoxLayout = record`

## Description

A Layout manager that arranges child views vertically or horizontally in a side-by-side fashion with spacing around and between the child views. The child views are always sized according to their preferred size. If the host's bounds provide insufficient space, child views will be clamped. Excess space will not be distributed. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefBoxLayout.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_box_layout_capi.h">CEF source file: /include/capi/views/cef_box_layout_capi.h (cef_box_layout_t))

## Overview

### Fields

| `base: TCefLayout;`
| `set_flex_for_view: procedure(self: PCefBoxLayout; view: PCefView; flex: Integer); stdcall;`
| `clear_flex_for_view: procedure(self: PCefBoxLayout; view: PCefView); stdcall;`

## Description

### Fields

| `base: TCefLayout;`
This item has no description.

| `set_flex_for_view: procedure(self: PCefBoxLayout; view: PCefView; flex: Integer); stdcall;`
This item has no description.

| `clear_flex_for_view: procedure(self: PCefBoxLayout; view: PCefView); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.